/invitations/accept
http://macie2.{region}.amazonaws.com/invitations/acceptAccepts an Amazon Macie membership invitation that was received from a specific account.
Body Params
The unique identifier for the invitation to accept.
(Deprecated) The Amazon Web Services account ID for the account that sent the invitation. This property has been replaced by the administratorAccountId property and is retained only for backward compatibility.
The Amazon Web Services account ID for the account that sent the invitation.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://macie2.{region}.amazonaws.com/invitations/accept' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}